## ros-indigo-rocon-uri 0.1.23

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_uri)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install(FILES src/rocon_uri/rules/rules.yaml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rules.yaml)

install(
    PROGRAMS 
        scripts/rocon_uri
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

##############################################################################
# Unit Tests
##############################################################################

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(tests)
endif()

=== Makefile ===

doc: clean sphinx

sphinx:
	rosdoc_lite .

clean:
	rm -rf doc/html

topages:
	cp -r doc/html/* ~/tmp/rocon_tools/doc/html/rocon_interactions
	cp -r doc/html/.doctrees ~/tmp/rocon_tools/doc/html/rocon_interactions
	cp doc/html/.buildinfo ~/tmp/rocon_tools/doc/html/rocon_interactions

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rocon_uri.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rocon_uri.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rocon_uri"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rocon_uri"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ros-indigo-rocon-uri (0.1.23-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 12 Jul 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.22-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 12 Jul 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.21-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.20-1trusty) trusty; urgency=high

  * add nao rule closes #91 <https://github.com/robotics-in-concert/rocon_tools/issues/91>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 31 May 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.19-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.18-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.17-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.16-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.15-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.14-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.13-1trusty) trusty; urgency=high

  * Forgotten colon for yaml dic syntax.
  * Adding mint rebecca version so the rules
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.12-1trusty) trusty; urgency=high

  * add mint in operating system closes #69 <https://github.com/robotics-in-concert/rocon_tools/issues/69>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-rocon-uri (0.1.11-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.10-1trusty) trusty; urgency=high

  * Merge pull request #62 <https://github.com/robotics-in-concert/rocon_tools/issues/62> from robotics-in-concert/web
    add web browser as operating system
  * add furo as robot
  * move web to os
  * add web browser as application_framework for webapp launching in web_remocon
  * [rocon_uri] helpful pointer to the rocon uri rules.
  * Update rules.yaml
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.9-1trusty) trusty; urgency=high

  * move from symbolic links to includes for changelogs to avoid eclipse bewilderment.
  * debugging error added for catching pid problem, #53 <https://github.com/robotics-in-concert/rocon_tools/issues/53>.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.7-1trusty) trusty; urgency=high

  * add korus to the list of robots.
  * make the python module directly responsible for rules.yaml, #44 <https://github.com/robotics-in-concert/rocon_tools/issues/44>
  * adds gopher to the list of robots.
  * Contributors: Daniel Stonier, Marcus Liebhardt

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.5-1trusty) trusty; urgency=high

  * sphinx documentation updated.
  * add hardware platform for utexas BWI segbot
  * Contributors: Daniel Stonier, Jack O'Quin

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 May 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.4-1trusty) trusty; urgency=high

  * rocon_uri parse provide all parsed information
  * description fix
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.3-1trusty) trusty; urgency=high

  * more precise rocon uri os fields for pc interactions, also added trusty to the os rules.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 08 Apr 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.2-1trusty) trusty; urgency=high

  * a rocon_uri command line tool.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 01 Apr 2014 15:00:00 -0000

ros-indigo-rocon-uri (0.1.0-1trusty) trusty; urgency=high

  * sort the elements alphabetically and in reverse so matching doesn't come
    up short as in #17 <https://github.com/robotics-in-concert/rocon_tools/issues/17>.
  * adds robots (robosem, turtlebot) and sorts robots alphabetically
  * nosetest for checking thrown exceptions on compatibility checking.
  * adds robot kobuki to the rules
  * rocon uri support for indigo.
  * adjustments to drop heir-part of uri if no concert name.
  * Revert "switch wildcard to 'any'"
    This reverts commit 3cad70f34bf988c3bce941ddcae301f476fd8519. Using 'any' just looks really awkward and far less instantly recognisable than *.
  * switch wildcard to 'any'
  * wildcards moved out of the yaml specification
  * add android operating systems.
  * rocon_uri now loads from yaml.
  * first iteration of full rocon uri class and test program.
  * ebnf rule parser moved to its own package.
  * adding rule parser package and a test.
  * Contributors: Daniel Stonier, Marcus Liebhardt

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 30 Mar 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-uri
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosunit
Homepage: http://ros.org/wiki/rocon_uri
Standards-Version: 3.9.2

Package: ros-indigo-rocon-uri
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rocon-console, ros-indigo-rocon-ebnf, ros-indigo-rospy
Description: Module for working with rocon uri strings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-uri//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
